[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# VarArrayLowBound

Return lower bound of an array

## Declaration

Source position: variants.pp line 130

`function VarArrayLowBound(`
`const A: Variant;`
`Dim: LongInt`
`):LongInt;`

## Arguments

`A` |  | Array to check
`Dim` |  | Dimension to check

## Function result

The lower bound of dimension Dim

## Description

VarArrayLowBound returns the lower bound (min index) of dimension Dim of array A. The dimension Dim is 1-based.

## Errors

If the dimension is out of range, or A is not a variant array, an exception will be raised.

## See also

VarArrayCreate |  | Create a variant array
VarArrayDimCount |  | Return the number of dimensions of the array.
VarArrayHighBound |  | Return lower bound of an array